using System;
using System.Collections.Generic;

namespace ConsoleApp1
{
    class Program
    {
        static void Main()
        {
            int t = int.Parse(Console.ReadLine());
            List<long> a = new List<long>();
            for(int i = 0; i < t; i++)
            {
                long n = long.Parse(Console.ReadLine());
                if (n <= 24)
                    a[i] = n;
            }
            for(int i = 0; i < a.Count; i++)
            {
                Console.WriteLine(a[i]);
            }
        }
    }
}